Summary: QtQuick plugins to build user interfaces based on the KDE UX guidelines
Name:    kf5-kirigami2
Version: 5.110.0
%global majmin %majmin_ver_kf5
%global stable %stable_kf5
Release: 1%{?dist}
License: GPLv2+
URL:     https://techbase.kde.org/Kirigami
Source0: http://download.kde.org/%{stable}/frameworks/%{majmin}/kirigami2-%{version}.tar.xz

%global __provides_exclude_from ^%{_kf5_qmldir}/.*\\.so$

BuildRequires: make
BuildRequires: extra-cmake-modules >= %{majmin}
BuildRequires: kf5-rpm-macros
BuildRequires: qt5-linguist
BuildRequires: qt5-qtbase-devel
BuildRequires: qt5-qtdeclarative-devel
BuildRequires: qt5-qtquickcontrols2-devel
BuildRequires: qt5-qtsvg-devel
BuildRequires: qt5-qtbase-private-devel

Requires:      qt5-qtquickcontrols
Requires:      qt5-qtquickcontrols2



%description
%{summary}.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.



%prep
%autosetup -n kirigami2-%{version} -p1



%build
%{cmake_kf5} \
  -DBUILD_TESTING:BOOL=ON
%cmake_build



%install
%cmake_install
%find_lang_kf5 libkirigami2plugin_qt



%check



%files -f libkirigami2plugin_qt.lang
%license LICENSES/*.txt
%{_kf5_libdir}/libKF5Kirigami2.so.5*
%dir %{_kf5_qmldir}/org/
%dir %{_kf5_qmldir}/org/kde/
%{_kf5_qmldir}/org/kde/kirigami.2/

%files devel
%{_kf5_libdir}/libKF5Kirigami2.so
%{_kf5_includedir}/Kirigami2/
%{_kf5_archdatadir}/mkspecs/modules/qt_Kirigami2.pri
%{_kf5_libdir}/cmake/KF5Kirigami2/
%dir %{_kf5_datadir}/kdevappwizard/
%dir %{_kf5_datadir}/kdevappwizard/templates/
%{_kf5_datadir}/kdevappwizard/templates/kirigami.tar.bz2



%changelog
* Wed Nov 15 2023 Zhao Zhen <jeremiazhao@tencent.com> - 5.110.0-1
- initial
